import { createApp } from 'vue';
import { createPinia } from 'pinia';
import App from './App.vue';
import router from './router';
import ElementPlus from 'element-plus';
import 'element-plus/theme-chalk/index.css';
import locale from 'element-plus/lib/locale/lang/zh-cn';
import moment from 'moment';
import '@/assets/main.css';
import 'animate.css';
import * as ElementPlusIconsVue from '@element-plus/icons-vue';
// 组件
// 组件
import frameComponents from '@/components/index';
const app = createApp(App);
app.use(createPinia());
app.use(router);
app.use(ElementPlus, { locale });
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component);
}
for (const componentItme in frameComponents) {
  app.component(componentItme, frameComponents[componentItme]);
}

app.config.globalProperties.$moment = moment;
app.config.globalProperties.$limit = parseInt(import.meta.env.VITE_APP_PAGE_SIZE) || 10;
app.mount('#app');
