import { createRouter, createWebHistory } from 'vue-router';
// 公共
import common from './module/common';
// 管理员
import admin from './module/admin';
// 个人用户
import users from './module/users';
// 企业用户
import unit from './module/unit';
import store from '@/stores/counter';
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    // 公共
    ...common,
    {
      path: '/',
      redirect: '/homeIndex',
    },
    {
      path: '/homeIndex',
      meta: { title: '基础研究动态管理平台', is_filter: true },
      component: () => import('@common/src/components/studio-one-green/home.vue'),
      children: [
        {
          path: '/homeIndex',
          meta: { title: '基础研究动态管理平台', is_filter: true },
          component: () => import('@/views/home/index.vue'),
        },
        ...admin,
        ...users,
        ...unit,
      ],
    },
  ],
});
router.beforeEach((to, from, next) => {
  document.title = `${to.meta.title} `;
  const token = localStorage.getItem('token');
  if (token) {
    // let user = jwt.decode(token);
    const user = {
      _id: '63b3ed3e404c08bbd8539965',
      account: 'admin',
      name: '管理员',
      role: ['63b641cf35df6c6862df5d39', '63b628199bb09c9905def4cc', '63b64b1f35df6c6862e11bf2', '63b62cac9bb09c9905e14857'],
      is_super: false,
      role_type: '1',
      iat: 1679041521,
      exp: 1679214321,

      // _id: '640a8f0d9dfe6bbfaba9880a',
      // nick_name: '个人账号',
      // unit: '63b511fa2f41cd4838e478bb',
      // role: ['63b64ac735df6c6862e0eba3', '63b64b6335df6c6862e13f14', '63b62d2a9bb09c9905e19063'],
      // role_type: '2',
      // email: 'guhongwei0324@163.com',
      // phone: '13174420325',
      // unit_address: '长春市朝阳区前进大街1244号',
      // exam_status: '1',
      // card: '220182199603257019',
      // basic_id: '640aa44061ebe6235411e9db',
      // entrances: {
      //   web: {
      //     is_use: false,
      //   },
      //   project: {
      //     is_use: true,
      //     url: 'http://jcdtgl.waityou24.cn/project',
      //   },
      //   admin: {
      //     is_use: true,
      //     url: 'http://jcdtgl.waityou24.cn/admin',
      //   },
      //   basic: {
      //     is_use: true,
      //     url: 'http://jcdtgl.waityou24.cn/basic',
      //   },
      //   studio: {
      //     is_use: true,
      //     url: 'http://jcdtgl.waityou24.cn/studio',
      //   },
      // },
      // iat: 1678686391,
      // exp: 1678859191,

      // _id: '63b511fa2f41cd4838e478bb',
      // account: 'sunit',
      // card: '220182199603257020',
      // name: '公司负责人',
      // nick_name: '长春市福瑞科技有限公司',
      // email: '1946230922@qq.com',
      // phone: '13174420325',
      // unit_name: '长春市福瑞科技有限公司',
      // unit_address: '长春市朝阳区前进大街1244号',
      // prove: [
      //   {
      //     id: '20230104134319',
      //     name: 'free.png',
      //     uri: '/files/jcyjdt/register/20230104134319.png',
      //     url: 'http://broadcast.waityou24.cn/files/jcyjdt/register/20230104134319.png',
      //     uid: 1672810999458,
      //     status: 'success',
      //   },
      // ],
      // role: ['63b628619bb09c9905df137b', '63b64a9435df6c6862e0c882', '63b64b4435df6c6862e12d84', '63b62cf19bb09c9905e17543'],
      // exam_status: '1',
      // is_studio: 'Y',
      // role_type: '3',
      // iat: 1679534129,
      // exp: 1679706929,
    };
    store.commit('setUser', user, { root: true });
    next();
  } else {
    window.alert('无登录信息，无法打开');
  }
});
export default router;
